#ifndef CREATECHAT_H
#define CREATECHAT_H

#include <QWidget>

namespace Ui {
class CreateChat;
}

class CreateChat : public QWidget
{
    Q_OBJECT

public:
    explicit CreateChat(QWidget *parent = nullptr);
    ~CreateChat();

private slots:
    void on_enableWS_toggled(bool checked);

    void on_enableWebPage_toggled(bool checked);

    void on_setPasswordMode_toggled(bool checked);

    void on_showPassword_toggled(bool checked);

    void on_enableEditAddress_toggled(bool checked);

    void on_enableEditPort_toggled(bool checked);

    void on_loadChat_clicked();

private:
    Ui::CreateChat *ui;
};

#endif // CREATECHAT_H
